import request from '@/utils/request'

// 获取流水信息
export function getBillStatementAll(data) {
  return request({
    url: '/bill/statement/all',
    method: 'post',
    data: {
      id: data.id, // 流水 id
      billId: data.billId, // 缴费项 id
      billName: data.billName, //  缴费项 名称
      billInvoiceId: data.billInvoiceId, // 缴费单 编号
      payName: data.payName, //  缴费人
      pageNum: data.pageNum,
      pageSize: data.pageSize
    }
  })
}

// 下载excel
export function exportExcel() {
  return request({
    url: '/bill/statement/exportExcel',
    method: 'get',
    responseType: 'blob'
  })
}

